NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAM::InspectionOperationTransformBuilder Class Reference

Create transformed inspection operations, this builder's Commit can produce more than one object, the GetCommittedObjects can be used to get the objects and the order of GetCommittedObject's output array is not stable. More...

Inheritance diagram for NXOpen::CAM::InspectionOperationTransformBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Angle { AngleSpecify, AngleTwoPoint }
 Angle Type. More...
 
enum  Line { LineSpecify, LineTwoPoint, LinePointAndVector }
 Line Type. More...
 
enum  Motion { MotionDelta, MotionToAPoint }
 Motion Type. More...
 
enum  Result { ResultMove, ResultCopy, ResultInstance }
 Transform Option. More...
 
enum  Transform {
  TransformTranslate, TransformScale, TransformRotateAboutPoint, TransformRotateAboutLine,
  TransformMirrorThroughALine, TransformMirrorThroughAPlane, TransformCircularArray, TransformRectangularArray,
  TransformReposition
}
 Transform Type. More...
 

Public Member Functions

NXOpen::PointAngleEndPoint ()
 Returns the angle end point
Created in NX9.0.3. More...
 
NXOpen::CAM::InspectionOperationTransformBuilder::Angle AngleMethod ()
 Returns the angle method
Created in NX9.0.3. More...
 
NXOpen::PointAnglePivotPoint ()
 Returns the angle pivot point
Created in NX9.0.3. More...
 
NXOpen::PointAngleStartPoint ()
 Returns the angle start point
Created in NX9.0.3. More...
 
double AngleTolerance ()
 Returns the tolerance used for checking angles of transformed geometry
Created in NX10.0.3. More...
 
double AngleValue ()
 Returns the angle value
Created in NX9.0.3. More...
 
double ArrayAngle ()
 Returns the array angle
Created in NX9.0.3. More...
 
double ArrayCircularIncrementAngle ()
 Returns the array circular increment angle
Created in NX9.0.3. More...
 
int ArrayCircularNumber ()
 Returns the array circular number
Created in NX9.0.3. More...
 
double ArrayCircularRadius ()
 Returns the array circular radius
Created in NX9.0.3. More...
 
double ArrayCircularStartAngle ()
 Returns the array circular start angle
Created in NX9.0.3. More...
 
int ArrayNumberAlongXc ()
 Returns the array number along XC
Created in NX9.0.3. More...
 
int ArrayNumberAlongYc ()
 Returns the array number along YC
Created in NX9.0.3. More...
 
double ArrayOffsetXc ()
 Returns the array offset XC
Created in NX9.0.3. More...
 
double ArrayOffsetYc ()
 Returns the array offset YC
Created in NX9.0.3. More...
 
NXOpen::PointArrayOriginPoint ()
 Returns the array origin point
Created in NX9.0.3. More...
 
double DeltaXc ()
 Returns the delta XC
Created in NX9.0.3. More...
 
double DeltaYc ()
 Returns the delta YC
Created in NX9.0.3. More...
 
double DeltaZc ()
 Returns the delta ZC
Created in NX9.0.3. More...
 
int DistanceAngleDivision ()
 Returns the distance angle division
Created in NX9.0.3. More...
 
double DistanceTolerance ()
 Returns the tolerance used for checking distance of transformed geometry
Created in NX10.0.3. More...
 
NXOpen::PointLineEndPoint ()
 Returns the line end point
Created in NX9.0.3. More...
 
NXOpen::CAM::InspectionOperationTransformBuilder::Line LineMethod ()
 Returns the line method
Created in NX9.0.3. More...
 
NXOpen::PointLinePoint ()
 Returns the line point
Created in NX9.0.3. More...
 
NXOpen::SelectLineLineSelection ()
 Returns the line selection
Created in NX9.0.3. More...
 
NXOpen::PointLineStartPoint ()
 Returns the line start point
Created in NX9.0.3. More...
 
NXOpen::DirectionLineVector ()
 Returns the line vector
Created in NX9.0.3. More...
 
NXOpen::CAM::InspectionOperationTransformBuilder::Motion MotionType ()
 Returns the motion type
Created in NX9.0.3. More...
 
NXOpen::CAM::InspectionOperationTransformBuilder::Result MoveCopyInstance ()
 Returns the move copy instance option
Created in NX9.0.3. More...
 
int NumOfCopyInstance ()
 Returns the num of copy or instance
Created in NX9.0.3. More...
 
NXOpen::PlanePlane ()
 Returns the mirror plane
Created in NX9.0.3. More...
 
NXOpen::PointReferencePoint ()
 Returns the reference point
Created in NX9.0.3. More...
 
void RemoveTransformation ()
 Remove the tranformation
Created in NX9.0.3. More...
 
NXOpen::CoordinateSystemRepositionFromCsys ()
 Returns the reposition from CSYS
Created in NX9.0.3. More...
 
NXOpen::CoordinateSystemRepositionToCsys ()
 Returns the reposition to CSYS
Created in NX9.0.3. More...
 
double ScaleFactor ()
 Returns the scale factor
Created in NX9.0.3. More...
 
void SetAngleEndPoint (NXOpen::Point *angleEndPoint)
 Sets the angle end point
Created in NX9.0.3. More...
 
void SetAngleMethod (NXOpen::CAM::InspectionOperationTransformBuilder::Angle angleMethod)
 Sets the angle method
Created in NX9.0.3. More...
 
void SetAnglePivotPoint (NXOpen::Point *anglePivotPoint)
 Sets the angle pivot point
Created in NX9.0.3. More...
 
void SetAngleStartPoint (NXOpen::Point *angleStartPoint)
 Sets the angle start point
Created in NX9.0.3. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the tolerance used for checking angles of transformed geometry
Created in NX10.0.3. More...
 
void SetAngleValue (double angleValue)
 Sets the angle value
Created in NX9.0.3. More...
 
void SetArrayAngle (double arrayAngle)
 Sets the array angle
Created in NX9.0.3. More...
 
void SetArrayCircularIncrementAngle (double arrayCircularIncrementAngle)
 Sets the array circular increment angle
Created in NX9.0.3. More...
 
void SetArrayCircularNumber (int arrayCircularNumber)
 Sets the array circular number
Created in NX9.0.3. More...
 
void SetArrayCircularRadius (double arrayCircularRadius)
 Sets the array circular radius
Created in NX9.0.3. More...
 
void SetArrayCircularStartAngle (double arrayCircularStartAngle)
 Sets the array circular start angle
Created in NX9.0.3. More...
 
void SetArrayNumberAlongXc (int arrayNumberAlongXC)
 Sets the array number along XC
Created in NX9.0.3. More...
 
void SetArrayNumberAlongYc (int arrayNumberAlongYC)
 Sets the array number along YC
Created in NX9.0.3. More...
 
void SetArrayOffsetXc (double arrayOffsetXC)
 Sets the array offset XC
Created in NX9.0.3. More...
 
void SetArrayOffsetYc (double arrayOffsetYc)
 Sets the array offset YC
Created in NX9.0.3. More...
 
void SetArrayOriginPoint (NXOpen::Point *arrayOriginPoint)
 Sets the array origin point
Created in NX9.0.3. More...
 
void SetDeltaXc (double deltaXC)
 Sets the delta XC
Created in NX9.0.3. More...
 
void SetDeltaYc (double deltaYC)
 Sets the delta YC
Created in NX9.0.3. More...
 
void SetDeltaZc (double deltaZC)
 Sets the delta ZC
Created in NX9.0.3. More...
 
void SetDistanceAngleDivision (int distanceAngleDivision)
 Sets the distance angle division
Created in NX9.0.3. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the tolerance used for checking distance of transformed geometry
Created in NX10.0.3. More...
 
void SetLineEndPoint (NXOpen::Point *lineEndPoint)
 Sets the line end point
Created in NX9.0.3. More...
 
void SetLineMethod (NXOpen::CAM::InspectionOperationTransformBuilder::Line lineMethod)
 Sets the line method
Created in NX9.0.3. More...
 
void SetLinePoint (NXOpen::Point *linePoint)
 Sets the line point
Created in NX9.0.3. More...
 
void SetLineStartPoint (NXOpen::Point *lineStartPoint)
 Sets the line start point
Created in NX9.0.3. More...
 
void SetLineVector (NXOpen::Direction *lineVector)
 Sets the line vector
Created in NX9.0.3. More...
 
void SetMotionType (NXOpen::CAM::InspectionOperationTransformBuilder::Motion motionType)
 Sets the motion type
Created in NX9.0.3. More...
 
void SetMoveCopyInstance (NXOpen::CAM::InspectionOperationTransformBuilder::Result moveCopyInstance)
 Sets the move copy instance option
Created in NX9.0.3. More...
 
void SetNumOfCopyInstance (int numOfCopyInstance)
 Sets the num of copy or instance
Created in NX9.0.3. More...
 
void SetPlane (NXOpen::Plane *plane)
 Sets the mirror plane
Created in NX9.0.3. More...
 
void SetReferencePoint (NXOpen::Point *referencePoint)
 Sets the reference point
Created in NX9.0.3. More...
 
void SetRepositionFromCsys (NXOpen::CoordinateSystem *repositionFromCSYS)
 Sets the reposition from CSYS
Created in NX9.0.3. More...
 
void SetRepositionToCsys (NXOpen::CoordinateSystem *repositionToCSYS)
 Sets the reposition to CSYS
Created in NX9.0.3. More...
 
void SetScaleFactor (double scaleFactor)
 Sets the scale factor
Created in NX9.0.3. More...
 
void SetToPoint (NXOpen::Point *toPoint)
 Sets the to point
Created in NX9.0.3. More...
 
void SetTransformType (NXOpen::CAM::InspectionOperationTransformBuilder::Transform transformType)
 Sets the transform type
Created in NX9.0.3. More...
 
NXOpen::PointToPoint ()
 Returns the to point
Created in NX9.0.3. More...
 
NXOpen::CAM::InspectionOperationTransformBuilder::Transform TransformType ()
 Returns the transform type
Created in NX9.0.3. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Create transformed inspection operations, this builder's Commit can produce more than one object, the GetCommittedObjects can be used to get the objects and the order of GetCommittedObject's output array is not stable.


To create a new instance of this class, use NXOpen::CAM::InspectionOperationCollection::CreateInspectionOperationTransformBuilder

Created in NX9.0.3.

Member Enumeration Documentation

Angle Type.

Enumerator
AngleSpecify 

specify a angle

AngleTwoPoint 

use two point to sepcify a angle

Line Type.

Enumerator
LineSpecify 

specify a line

LineTwoPoint 

specify a line by two point

LinePointAndVector 

specify a line by a point and a vector

Motion Type.

Enumerator
MotionDelta 

motion delta

MotionToAPoint 

motion to a point

Transform Option.

Enumerator
ResultMove 

move

ResultCopy 

copy

ResultInstance 

instance

Transform Type.

Enumerator
TransformTranslate 

translate

TransformScale 

scale

TransformRotateAboutPoint 

rotate about point

TransformRotateAboutLine 

rotate about line

TransformMirrorThroughALine 

mirror through a line

TransformMirrorThroughAPlane 

mirror through a plane

TransformCircularArray 

circular array

TransformRectangularArray 

rectangular array

TransformReposition 

reposition

Member Function Documentation

NXOpen::Point* NXOpen::CAM::InspectionOperationTransformBuilder::AngleEndPoint ( )

Returns the angle end point
Created in NX9.0.3.



License requirements : None

NXOpen::CAM::InspectionOperationTransformBuilder::Angle NXOpen::CAM::InspectionOperationTransformBuilder::AngleMethod ( )

Returns the angle method
Created in NX9.0.3.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionOperationTransformBuilder::AnglePivotPoint ( )

Returns the angle pivot point
Created in NX9.0.3.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionOperationTransformBuilder::AngleStartPoint ( )

Returns the angle start point
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::AngleTolerance ( )

Returns the tolerance used for checking angles of transformed geometry
Created in NX10.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::AngleValue ( )

Returns the angle value
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::ArrayAngle ( )

Returns the array angle
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::ArrayCircularIncrementAngle ( )

Returns the array circular increment angle
Created in NX9.0.3.



License requirements : None

int NXOpen::CAM::InspectionOperationTransformBuilder::ArrayCircularNumber ( )

Returns the array circular number
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::ArrayCircularRadius ( )

Returns the array circular radius
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::ArrayCircularStartAngle ( )

Returns the array circular start angle
Created in NX9.0.3.



License requirements : None

int NXOpen::CAM::InspectionOperationTransformBuilder::ArrayNumberAlongXc ( )

Returns the array number along XC
Created in NX9.0.3.



License requirements : None

int NXOpen::CAM::InspectionOperationTransformBuilder::ArrayNumberAlongYc ( )

Returns the array number along YC
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::ArrayOffsetXc ( )

Returns the array offset XC
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::ArrayOffsetYc ( )

Returns the array offset YC
Created in NX9.0.3.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionOperationTransformBuilder::ArrayOriginPoint ( )

Returns the array origin point
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::DeltaXc ( )

Returns the delta XC
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::DeltaYc ( )

Returns the delta YC
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::DeltaZc ( )

Returns the delta ZC
Created in NX9.0.3.



License requirements : None

int NXOpen::CAM::InspectionOperationTransformBuilder::DistanceAngleDivision ( )

Returns the distance angle division
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::DistanceTolerance ( )

Returns the tolerance used for checking distance of transformed geometry
Created in NX10.0.3.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionOperationTransformBuilder::LineEndPoint ( )

Returns the line end point
Created in NX9.0.3.



License requirements : None

NXOpen::CAM::InspectionOperationTransformBuilder::Line NXOpen::CAM::InspectionOperationTransformBuilder::LineMethod ( )

Returns the line method
Created in NX9.0.3.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionOperationTransformBuilder::LinePoint ( )

Returns the line point
Created in NX9.0.3.



License requirements : None

NXOpen::SelectLine* NXOpen::CAM::InspectionOperationTransformBuilder::LineSelection ( )

Returns the line selection
Created in NX9.0.3.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionOperationTransformBuilder::LineStartPoint ( )

Returns the line start point
Created in NX9.0.3.



License requirements : None

NXOpen::Direction* NXOpen::CAM::InspectionOperationTransformBuilder::LineVector ( )

Returns the line vector
Created in NX9.0.3.



License requirements : None

NXOpen::CAM::InspectionOperationTransformBuilder::Motion NXOpen::CAM::InspectionOperationTransformBuilder::MotionType ( )

Returns the motion type
Created in NX9.0.3.



License requirements : None

NXOpen::CAM::InspectionOperationTransformBuilder::Result NXOpen::CAM::InspectionOperationTransformBuilder::MoveCopyInstance ( )

Returns the move copy instance option
Created in NX9.0.3.



License requirements : None

int NXOpen::CAM::InspectionOperationTransformBuilder::NumOfCopyInstance ( )

Returns the num of copy or instance
Created in NX9.0.3.



License requirements : None

NXOpen::Plane* NXOpen::CAM::InspectionOperationTransformBuilder::Plane ( )

Returns the mirror plane
Created in NX9.0.3.



License requirements : None

NXOpen::Point* NXOpen::CAM::InspectionOperationTransformBuilder::ReferencePoint ( )

Returns the reference point
Created in NX9.0.3.



License requirements : None

void NXOpen::CAM::InspectionOperationTransformBuilder::RemoveTransformation ( )

Remove the tranformation
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

NXOpen::CoordinateSystem* NXOpen::CAM::InspectionOperationTransformBuilder::RepositionFromCsys ( )

Returns the reposition from CSYS
Created in NX9.0.3.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::CAM::InspectionOperationTransformBuilder::RepositionToCsys ( )

Returns the reposition to CSYS
Created in NX9.0.3.



License requirements : None

double NXOpen::CAM::InspectionOperationTransformBuilder::ScaleFactor ( )

Returns the scale factor
Created in NX9.0.3.



License requirements : None

void NXOpen::CAM::InspectionOperationTransformBuilder::SetAngleEndPoint ( NXOpen::Point angleEndPoint)

Sets the angle end point
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
angleEndPointangleendpoint
void NXOpen::CAM::InspectionOperationTransformBuilder::SetAngleMethod ( NXOpen::CAM::InspectionOperationTransformBuilder::Angle  angleMethod)

Sets the angle method
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
angleMethodanglemethod
void NXOpen::CAM::InspectionOperationTransformBuilder::SetAnglePivotPoint ( NXOpen::Point anglePivotPoint)

Sets the angle pivot point
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
anglePivotPointanglepivotpoint
void NXOpen::CAM::InspectionOperationTransformBuilder::SetAngleStartPoint ( NXOpen::Point angleStartPoint)

Sets the angle start point
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
angleStartPointanglestartpoint
void NXOpen::CAM::InspectionOperationTransformBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the tolerance used for checking angles of transformed geometry
Created in NX10.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
angleToleranceangletolerance
void NXOpen::CAM::InspectionOperationTransformBuilder::SetAngleValue ( double  angleValue)

Sets the angle value
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
angleValueanglevalue
void NXOpen::CAM::InspectionOperationTransformBuilder::SetArrayAngle ( double  arrayAngle)

Sets the array angle
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
arrayAnglearrayangle
void NXOpen::CAM::InspectionOperationTransformBuilder::SetArrayCircularIncrementAngle ( double  arrayCircularIncrementAngle)

Sets the array circular increment angle
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
arrayCircularIncrementAnglearraycircularincrementangle
void NXOpen::CAM::InspectionOperationTransformBuilder::SetArrayCircularNumber ( int  arrayCircularNumber)

Sets the array circular number
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
arrayCircularNumberarraycircularnumber
void NXOpen::CAM::InspectionOperationTransformBuilder::SetArrayCircularRadius ( double  arrayCircularRadius)

Sets the array circular radius
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
arrayCircularRadiusarraycircularradius
void NXOpen::CAM::InspectionOperationTransformBuilder::SetArrayCircularStartAngle ( double  arrayCircularStartAngle)

Sets the array circular start angle
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
arrayCircularStartAnglearraycircularstartangle
void NXOpen::CAM::InspectionOperationTransformBuilder::SetArrayNumberAlongXc ( int  arrayNumberAlongXC)

Sets the array number along XC
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
arrayNumberAlongXCarraynumberalongxc
void NXOpen::CAM::InspectionOperationTransformBuilder::SetArrayNumberAlongYc ( int  arrayNumberAlongYC)

Sets the array number along YC
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
arrayNumberAlongYCarraynumberalongyc
void NXOpen::CAM::InspectionOperationTransformBuilder::SetArrayOffsetXc ( double  arrayOffsetXC)

Sets the array offset XC
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
arrayOffsetXCarrayoffsetxc
void NXOpen::CAM::InspectionOperationTransformBuilder::SetArrayOffsetYc ( double  arrayOffsetYc)

Sets the array offset YC
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
arrayOffsetYcarrayoffsetyc
void NXOpen::CAM::InspectionOperationTransformBuilder::SetArrayOriginPoint ( NXOpen::Point arrayOriginPoint)

Sets the array origin point
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
arrayOriginPointarrayoriginpoint
void NXOpen::CAM::InspectionOperationTransformBuilder::SetDeltaXc ( double  deltaXC)

Sets the delta XC
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
deltaXCdeltaxc
void NXOpen::CAM::InspectionOperationTransformBuilder::SetDeltaYc ( double  deltaYC)

Sets the delta YC
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
deltaYCdeltayc
void NXOpen::CAM::InspectionOperationTransformBuilder::SetDeltaZc ( double  deltaZC)

Sets the delta ZC
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
deltaZCdeltazc
void NXOpen::CAM::InspectionOperationTransformBuilder::SetDistanceAngleDivision ( int  distanceAngleDivision)

Sets the distance angle division
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
distanceAngleDivisiondistanceangledivision
void NXOpen::CAM::InspectionOperationTransformBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the tolerance used for checking distance of transformed geometry
Created in NX10.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::CAM::InspectionOperationTransformBuilder::SetLineEndPoint ( NXOpen::Point lineEndPoint)

Sets the line end point
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
lineEndPointlineendpoint
void NXOpen::CAM::InspectionOperationTransformBuilder::SetLineMethod ( NXOpen::CAM::InspectionOperationTransformBuilder::Line  lineMethod)

Sets the line method
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
lineMethodlinemethod
void NXOpen::CAM::InspectionOperationTransformBuilder::SetLinePoint ( NXOpen::Point linePoint)

Sets the line point
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
linePointlinepoint
void NXOpen::CAM::InspectionOperationTransformBuilder::SetLineStartPoint ( NXOpen::Point lineStartPoint)

Sets the line start point
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
lineStartPointlinestartpoint
void NXOpen::CAM::InspectionOperationTransformBuilder::SetLineVector ( NXOpen::Direction lineVector)

Sets the line vector
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
lineVectorlinevector
void NXOpen::CAM::InspectionOperationTransformBuilder::SetMotionType ( NXOpen::CAM::InspectionOperationTransformBuilder::Motion  motionType)

Sets the motion type
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
motionTypemotiontype
void NXOpen::CAM::InspectionOperationTransformBuilder::SetMoveCopyInstance ( NXOpen::CAM::InspectionOperationTransformBuilder::Result  moveCopyInstance)

Sets the move copy instance option
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
moveCopyInstancemovecopyinstance
void NXOpen::CAM::InspectionOperationTransformBuilder::SetNumOfCopyInstance ( int  numOfCopyInstance)

Sets the num of copy or instance
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
numOfCopyInstancenumofcopyinstance
void NXOpen::CAM::InspectionOperationTransformBuilder::SetPlane ( NXOpen::Plane plane)

Sets the mirror plane
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
planeplane
void NXOpen::CAM::InspectionOperationTransformBuilder::SetReferencePoint ( NXOpen::Point referencePoint)

Sets the reference point
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
referencePointreferencepoint
void NXOpen::CAM::InspectionOperationTransformBuilder::SetRepositionFromCsys ( NXOpen::CoordinateSystem repositionFromCSYS)

Sets the reposition from CSYS
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
repositionFromCSYSrepositionfromcsys
void NXOpen::CAM::InspectionOperationTransformBuilder::SetRepositionToCsys ( NXOpen::CoordinateSystem repositionToCSYS)

Sets the reposition to CSYS
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
repositionToCSYSrepositiontocsys
void NXOpen::CAM::InspectionOperationTransformBuilder::SetScaleFactor ( double  scaleFactor)

Sets the scale factor
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
scaleFactorscalefactor
void NXOpen::CAM::InspectionOperationTransformBuilder::SetToPoint ( NXOpen::Point toPoint)

Sets the to point
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
toPointtopoint
void NXOpen::CAM::InspectionOperationTransformBuilder::SetTransformType ( NXOpen::CAM::InspectionOperationTransformBuilder::Transform  transformType)

Sets the transform type
Created in NX9.0.3.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
transformTypetransformtype
NXOpen::Point* NXOpen::CAM::InspectionOperationTransformBuilder::ToPoint ( )

Returns the to point
Created in NX9.0.3.



License requirements : None

NXOpen::CAM::InspectionOperationTransformBuilder::Transform NXOpen::CAM::InspectionOperationTransformBuilder::TransformType ( )

Returns the transform type
Created in NX9.0.3.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.